Get Tweet Thread by ID
curl --request POST \
--url https://api.twexapi.io/twitter/tweets/thread_by_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tweet_id": "<string>",
"max_items": 40,
"fields": [
"<string>"
]
}
'import requests
url = "https://api.twexapi.io/twitter/tweets/thread_by_id"
payload = {
"tweet_id": "<string>",
"max_items": 40,
"fields": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tweet_id: '<string>', max_items: 40, fields: ['<string>']})
};
fetch('https://api.twexapi.io/twitter/tweets/thread_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tweets Endpoints
Get Tweet Thread by ID
Retrieve all tweets in a thread by tweet ID, sorted by latest.
POST
/
twitter
/
tweets
/
thread_by_id
Get Tweet Thread by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
A list of tweets in the thread, sorted by latest.
⌘I